Predictions
Get a prediction
Retrieve a prediction by its id.
AuthorizationBearer <token>
In: header
Path Parameters
prediction_idPrediction Id
The ID of the prediction to get.
Format
uuidResponse Body
curl -X GET "https://api.wrift.ai/v1/predictions/497f6eca-6276-4993-bfeb-53cbbbba6f08"{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"model": {
"owner": "string",
"name": "string",
"version_number": 0
},
"created_at": "2019-08-24T14:15:22Z",
"status": "pending",
"updated_at": "2019-08-24T14:15:22Z",
"setup_time": "string",
"execution_time": "string",
"error": {
"source": "internal",
"message": "string",
"detail": null
},
"input": null,
"output": null,
"url": "string"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Cancel a prediction. POST
Cancel a prediction by its id. Only predictions that have not yet terminated can be cancelled. Cancellation is asynchronous and the prediction's status will remain unchanged until cancellation takes effect. Requesting cancellation for a prediction that has already been requested for cancellation is idempotent. Attempting to cancel a terminated prediction will return an error.
List predictions GET
Retrieve a paginated list of all predictions for the authenticated user. The predictions are sorted by creation time, newest to oldest.